> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Retrieve the default WAF engine configuration ## OpenAPI ````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/waf/engine-config openapi: 3.0.4 info: title: Bunny Shield API description: >- Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection, Access Lists & API Guardian). version: v1 servers: - url: https://api.bunny.net security: [] paths: /shield/waf/engine-config: get: tags: - WAF summary: Retrieve the default WAF engine configuration operationId: Get WAF Engine Configuration responses: '200': description: OK content: text/plain: schema: $ref: '#/components/schemas/GetWafEngineConfigResponse' application/json: schema: $ref: '#/components/schemas/GetWafEngineConfigResponse' text/json: schema: $ref: '#/components/schemas/GetWafEngineConfigResponse' '401': description: Unauthorized content: text/plain: schema: $ref: '#/components/schemas/UnauthorizedResult' application/json: schema: $ref: '#/components/schemas/UnauthorizedResult' text/json: schema: $ref: '#/components/schemas/UnauthorizedResult' '500': description: Internal Server Error components: schemas: GetWafEngineConfigResponse: type: object properties: data: type: array items: $ref: '#/components/schemas/ConfigVariableValueMinimal' nullable: true additionalProperties: false UnauthorizedResult: type: object properties: statusCode: type: integer format: int32 additionalProperties: false ConfigVariableValueMinimal: type: object properties: name: type: string nullable: true valueEncoded: type: string nullable: true additionalProperties: false ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.